<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.hfkj</groupId>
        <artifactId>puhui-go-parent</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.hfkj</groupId>
    <artifactId>order</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.hfkj</groupId>
            <artifactId>service</artifactId>
            <version>PACKT-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>meituan.skd</groupId>
            <artifactId>meituan-open-sdk</artifactId>
            <scope>system</scope>
            <version>1.0.21</version>
            <systemPath>${basedir}/lib/open-platform-sdk-1.0.21.jar</systemPath>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources/${env}</directory>
                <filtering>false</filtering>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

</project>
